[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# DelSpace1

Reduces sequences of space characters to 1 space character.

## Declaration

Source position: strutils.pp line 176

`function DelSpace1(`
`const S: string`
`):string;`

## Arguments

`S` |  | String to reduce space sequences in.

## Function result

Original string with series of maximal 1 space.

## Description

DelSpace1 returns a copy of S with all sequences of spaces reduced to 1 space.

## Errors

None.

## See also

DelChars |  | Delete all occurrences of a given character from a string.
DelSpace |  | Delete all occurrences of a space from a string.